Name:           iwl5000-firmware
Version:        5.4.A.11
Release:        3
Summary:        Firmware for Intel® PRO/Wireless 5000 A/G/N network adaptors

Group:          System Environment/Kernel
License:        Redistributable, no modification permitted
URL:            http://intellinuxwireless.org/
Source0:        http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch


%description
This package contains the firmware required by the iwl5000 driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE file. Please read it carefully.

%prep
%setup -q -n iwlwifi-5000-ucode-%{version}

# Change encoding
sed -i 's/\r//'  LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode
# Preserve timestamp
touch -r *.ucode LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode

%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.ucode $RPM_BUILD_ROOT/lib/firmware/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode
/lib/firmware/*.ucode

%changelog
* Fri Sep  5 2008 kwizart < kwizart at gmail.com > - 5.4.A.11-3
- Remove ppc/ppc64 from ExcludedArches

* Mon Jul 28 2008 kwizart < kwizart at gmail.com > - 5.4.A.11-2
- Add LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode as %%doc

* Fri Jul 11 2008 kwizart < kwizart at gmail.com > - 5.4.A.11-1
- Initial package
